MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023294Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 13:222012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023294: Identical sub-expression in 'if-clause'
DescriptionBOP_ArgumentAnalyzer.cxx, line 930

if((aT1==TopAbs_WIRE && aT2==TopAbs_SHELL) ||
       (aT1==TopAbs_WIRE && aT2==TopAbs_SHELL)) {

should probably read

if((aT1==TopAbs_WIRE && aT2==TopAbs_SHELL) ||
       (aT2==TopAbs_WIRE && aT1==TopAbs_SHELL)) {
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0021762closedemv Open CASCADE Integration new Boolean Operation algorithm to OCC 

-  Notes
(0021006)
Pawel (developer)
2012-07-17 13:38

Corresponding git branch pushed. Please review.
(0021213)
emv (developer)
2012-08-08 10:15

Reviewed. Please test.
(0021221)
apn (administrator)
2012-08-09 11:31
edited on: 2012-08-09 13:07

Dear BugMaster,
Branch CR23294 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing case:
Not needed


- Related Changesets
occt: master 72d873ef
Timestamp: 2012-08-10 06:45:42
Author: Pawel
Details ] Diff ]
0023294: Identical sub-expression in 'if-clause'

Correcting probable copy-paste bug.
Test case offset shape_type_i D7 was modified
mod - src/BOP/BOP_ArgumentAnalyzer.cxx Diff ] File ]
mod - tests/offset/shape_type_i/D7 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 13:22 Pawel New Issue
2012-07-17 13:22 Pawel Assigned To => Pawel
2012-07-17 13:38 Pawel Note Added: 0021006
2012-07-17 13:38 Pawel Assigned To Pawel => bugmaster
2012-07-17 13:38 Pawel Status new => resolved
2012-07-18 09:01 abv Assigned To bugmaster => emv
2012-07-18 09:01 abv Relationship added related to 0021762
2012-08-08 10:15 emv Note Added: 0021213
2012-08-08 10:15 emv Status resolved => reviewed
2012-08-09 10:56 mkv Assigned To emv => apn
2012-08-09 11:31 apn Note Added: 0021221
2012-08-09 11:33 apn Test case number => Not needed
2012-08-09 11:33 apn Assigned To apn => Pawel
2012-08-09 11:33 apn Status reviewed => assigned
2012-08-09 13:06 apn Status assigned => resolved
2012-08-09 13:06 apn Assigned To Pawel => bugmaster
2012-08-09 13:06 apn Status resolved => reviewed
2012-08-09 13:07 apn Note Edited: 0021221 View Revisions
2012-08-09 13:07 apn Status reviewed => tested
2012-08-13 15:38 Pawel Changeset attached => occt master 72d873ef
2012-08-13 15:38 Pawel Assigned To bugmaster => Pawel
2012-08-13 15:38 Pawel Status tested => verified
2012-08-13 15:38 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker